ObjectModel Struct Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/doc/tutorials/content/sources/iccv2011/include/object_recognition.h>`

## Public Attributes

PointCloudPtr | points
PointCloudPtr | keypoints
LocalDescriptorsPtr | local_descriptors
GlobalDescriptorsPtr | global_descriptor

## Detailed Description

Definition at line 49 of file object_recognition.h.

## Member Data Documentation

## global_descriptor

GlobalDescriptorsPtr ObjectModel::global_descriptor

Definition at line 54 of file object_recognition.h.

Referenced by ObjectRecognition::constructObjectModel(), ObjectRecognition::recognizeAndAlignPoints(), and ObjectRecognition::recognizeObject().

## keypoints

PointCloudPtr ObjectModel::keypoints

Definition at line 52 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints(), and ObjectRecognition::constructObjectModel().

## local_descriptors

LocalDescriptorsPtr ObjectModel::local_descriptors

Definition at line 53 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints(), and ObjectRecognition::constructObjectModel().

## points

PointCloudPtr ObjectModel::points

Definition at line 51 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints(), and ObjectRecognition::constructObjectModel().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/doc/tutorials/content/sources/iccv2011/include/object_recognition.h